from enum import Enum


class PaymentGateway(Enum):
    """ Gateway de pagamento. """
    pagarme = 1
    mercadopago = 2


class PaymentMethod(Enum):
    """ Método de pagamento. """
    bank_slip = 1
    bank_transfer = 2
    card = 3
    pix = 4


class ProcessType(Enum):
    """ Tipo de valor para processamento. """
    fix = 1
    percentage = 2


class OrderStatus(Enum):
    """ Status para pedidos. """
    recebido = 1  # Pedido recebido com sucesso.
    pagamento_aprovado = 2  # Pagamento foi confirmado.
    em_separacao = 3  # Separando itens do pedido.
    em_transporte = 4  # Pedido sendo entregue ao destino.
    pedido_entregue = 5  # Pedido foi entregue.
    recusado = 6  # Pedido foi recusado.
    em_andamento = 7  # Pedido acabou de ser criado no sistema.